---
title: An open letter to the War Brokers community
date: 2023-09-17
---

## Timeline

[excalidraw file](/img/wb_open_letter/timeline.excalidraw)

<img src="/img/wb_open_letter/timeline_dark.png" alt="timeline of the event" class="dark-element" />
<img src="/img/wb_open_letter/timeline_light.png" alt="timeline of the event" class="light-element" />

## Introduction

Hi. I am `pomp`. I go by the nickname `[LP] POMP` within the community. You may recognize me as the creator of the [War Brokers Mods][wbm] (pomp's mod) and the [War Brokers Projects][wbp].

<br />

I am making this blog post since I have been inactive in the community for a while, and my military service is about to begin, so I figured I'd update everyone about my current situation and layout plans going into the future to answer any potential questions in advance.

## Beginning

Let's begin our story from the very beginning. In June 2019, While looking for games similar to [Krunker][krunker], I discovered War Brokers. It stood out from other games (of similar size) with its enjoyable controls, lack of a pay-to-win system, multiple game modes to enjoy, and skilled players to compete with. For a beta game, it looked promising. If a beta game is already this good, how much better would it be when it's finished? Right?

<br />

Fast forward to August 2021, and my expectation was shattered to pieces. Despite being released for over four years at this point, nothing felt polished, bugs lurked everywhere, and many of the best players left due to disappointment. Developers continuously pushed updates, but no one did anything significant to remediate the situation. It was just one half-complete, un-asked-for change after another. People complained, but communications were few and far between due to developers being busy with other projects. **Something had to change**.

<br />

As an aspiring teenage developer, I wanted to spend my energy improving War Brokers for everyone. The logical step in this scenario would be to contact JoJa15, the head developer of the game. But young me had something different in mind.

## War Brokers Mods

Over the past two years, I had grown tired of interacting with the War Brokers development team. So, to avoid any further headaches, I created the [War Brokers Mods][wbm]. But as I soon found out, JoJa wasn't too happy about this.

<br />

Less than a month after releasing the mod, War Brokers quietly started making changes that made maintaining the mod much more difficult. At the time, I didn't know this, but as it turns out, this was an attempt to prevent hacks from being developed using the same technique I used to make the mod.

<br />

Credits where credit's due, making it harder for external programs to modify the game is a step forward in anti-cheat. But it is unfortunate how JoJa never communicated this to me. I guess it's karma. Even more unfortunate was that I interpreted this as an attack on my mod.

<br />

Anyway, what that meant for me and the mod was that I had to redo much of my reverse engineering work, figure out how everything fits together, and update the mod accordingly. That doesn't sound too bad, right? The catch is that I had to do that for almost every War Brokers update. The game of cat and mouse continued until May 2022, when I finally gave up.

<br />

After users of the mod complained about the situation to JoJa, he added parts of the mod to the game, making it available as `pomp's mod`, but as always, it was incomplete.

<br />

After all that went down, I took a hiatus from the game to focus on college and other projects. There was also a bug in the Linux client that kept me from playing the game in the first place **\***.

<br />

**\***This is a story for another time, but it is a bug that prevents mouse clicks from registering half the time. The developers knew about the bug for years and how to fix it, but the Linux platform is left unplayable to this day.

## Where are we now?

In January 2023, my interest in the game reignited, and I was once more motivated to take on the challenge to improve War Brokers for everyone. This time, to complete the quest I started two years prior, I went straight to JoJa. There were some road bumps, but in March 2023, I got access to parts of the War Brokers user database, which I used to build [War Brokers Projects][wbp]. JoJa and I agreed to start small and task me with developing low-stake projects before trusting me with bigger ones. And that's where we stand today.

## Where do we go from here?

My plans going into the future are to finish the South Korean mandatory military service (18 months, starting October 2023) first, then work my way up the War Brokers developer ladder. Until then, I request everyone to have patience. For those who have trusted me all along, I am sorry it took so long. Things should move much quicker when I return.

<br />

And before I leave, let me promise two things you can expect from me when I become a developer of War Brokers:

1. **Transparency** - You can expect every step of the design process to be shared publicly whenever possible, and will actively listen to your voice to guide the direction of the development.
2. **Quality** - You can expect me to maintain a "good enough is not good enough" attitude and never settle on a compromise.

<br />

Thank you, everyone, for your patience. I'll be back soon.
The `#PompForDev` meme is a year old now, and it's about time it becomes a reality.

![pomp4dev meme](/img/wb_open_letter/pomp4dev.png "people chanting #PompForDev")

[wbm]: https://github.com/War-Brokers-Mods
[wbp]: https://github.com/War-Brokers
[krunker]: https://krunker.io
